<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <parent>
        <groupId>net.ihe.gazelle.model</groupId>
        <artifactId>gazelle-model</artifactId>
        <version>8.0.1</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <groupId>net.ihe.gazelle.tm</groupId>
    <artifactId>gazelle-tm</artifactId>
    <version>10.0.2-SNAPSHOT</version>
    <packaging>pom</packaging>

    <modules>
        <module>gazelle-tm-ejb</module>
        <module>gazelle-tm-war</module>
        <module>gazelle-tm-ear</module>
    </modules>

    <issueManagement>
        <system>Jira</system>
        <url>http://gazelle.ihe.net/jira/browse/GZL</url>
    </issueManagement>
    <ciManagement>
        <system>jenkins</system>
        <url>http://gazelle.ihe.net/jenkins/job/gazelle-tm/</url>
    </ciManagement>
    <contributors>
        <contributor>
            <organization>INRIA - Rennes Bretagne Atlantique</organization>
        </contributor>
        <contributor>
            <organization>Kereval</organization>
        </contributor>
        <contributor>
            <organization>NIST</organization>
        </contributor>
    </contributors>
    <organization>
        <name>IHE Europe</name>
        <url>http://www.ihe-europe.net</url>
    </organization>
    <scm>
        <connection>scm:git:${git.project.url}</connection>
        <url>scm:git:${git.project.url}</url>
        <developerConnection>scm:git:${git.project.url}</developerConnection>
        <tag>HEAD</tag>
    </scm>
    <properties>
        <maven.compiler.source>1.7</maven.compiler.source>
        <maven.compiler.target>1.7</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>

        <finalName>gazelle-tm</finalName>
        <basename>gazelle</basename>
        <seamName>TestManagement</seamName>
        <seam.debug>false</seam.debug>
        <devmode>false</devmode>
        <!-- persistence.xml configuration -->
        <hibernate.hbm2ddl.auto>validate</hibernate.hbm2ddl.auto>
        <hibernate.show_sql>false</hibernate.show_sql>
        <hibernate.c3p0.min.size>1</hibernate.c3p0.min.size>
        <hibernate.c3p0.max.size>70</hibernate.c3p0.max.size>
        <net.ihe.gazelle.migration.enabled>true</net.ihe.gazelle.migration.enabled>
        <!-- web.xml configuration -->
        <!-- maximum size for a single uploaded file -->
        <maxRequestSize>100000000</maxRequestSize>

        <messages.mode>crowdin</messages.mode>

        <!-- git -->
        <git.user.name>gitlab-ci</git.user.name>
        <git.user.token>changeit</git.user.token>
        <git.project.url>
            https://${git.user.name}:${git.user.token}@gitlab.inria.fr/gazelle/public/core/test-management.git
        </git.project.url>

        <skipITs>true</skipITs>

        <gazelle.tm.tools.version>4.4.1</gazelle.tm.tools.version>
        <jacoco.version>0.8.1</jacoco.version>
        <sonar.maven.plugin>3.7.0.1746</sonar.maven.plugin>
        <maven.release.plugin.version>2.5.3</maven.release.plugin.version>
        <nexus.staging.maven.plugin.version>1.6.8</nexus.staging.maven.plugin.version>
        <gazelle.gdpr.version>1.5.0</gazelle.gdpr.version>
        <sso.client.v7.version>5.0.0</sso.client.v7.version>
        <communication-tool-gateway.version>1.0.1</communication-tool-gateway.version>
    </properties>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-resources-plugin</artifactId>
                    <version>2.7</version>
                    <configuration>
                        <delimiters>
                            <delimiter>${*}</delimiter>
                            <delimiter>@</delimiter>
                        </delimiters>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.sonarsource.scanner.maven</groupId>
                    <artifactId>sonar-maven-plugin</artifactId>
                    <version>${sonar.maven.plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-release-plugin</artifactId>
                    <version>${maven.release.plugin.version}</version>
                    <configuration>
                        <tagNameFormat>@{project.version}</tagNameFormat>
                        <autoVersionSubmodules>true</autoVersionSubmodules>
                        <releaseProfiles>release</releaseProfiles>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <!-- Run unit-test in maven build -->
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>${skipUnitTests}</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>${jacoco.version}</version>
                <executions>
                    <execution>
                        <id>pre-unit-test</id>
                        <goals>
                            <goal>prepare-agent</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>post-unit-test</id>
                        <phase>test</phase>
                        <goals>
                            <goal>report</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>de.smartics.maven.plugin</groupId>
                <artifactId>maven-buildmetadata-plugin</artifactId>
                <configuration>
                    <validateCheckout>false</validateCheckout>
                    <addScmInfo>false</addScmInfo>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <profiles>
        <profile>
            <id>dev</id>
            <properties>
                <seam.debug>true</seam.debug>
                <devmode>true</devmode>
                <!-- persistence.xml configuration -->
                <hibernate.c3p0.min.size>1</hibernate.c3p0.min.size>
                <hibernate.c3p0.max.size>10</hibernate.c3p0.max.size>
            </properties>
        </profile>
        <profile>
            <id>create-schema-db</id>
            <properties>
                <hibernate.hbm2ddl.auto>create</hibernate.hbm2ddl.auto>
                <net.ihe.gazelle.migration.enabled>false</net.ihe.gazelle.migration.enabled>
            </properties>
        </profile>
        <profile>
            <id>eucat</id>
            <properties>
                <basename>TM</basename>
            </properties>
        </profile>
        <profile>
            <id>aegis</id>
            <properties>
                <basename>TM</basename>
                <!-- persistence.xml configuration -->
                <hibernate.c3p0.min.size>1</hibernate.c3p0.min.size>
                <hibernate.c3p0.max.size>30</hibernate.c3p0.max.size>
            </properties>
        </profile>
        <profile>
            <id>CAT</id>
            <properties>
                <basename>EU-CAT</basename>
                <!-- persistence.xml configuration -->
                <hibernate.c3p0.min.size>1</hibernate.c3p0.min.size>
                <hibernate.c3p0.max.size>150</hibernate.c3p0.max.size>
            </properties>
        </profile>
        <profile>
            <id>na</id>
            <properties>
                <basename>gazelle-na</basename>
                <!-- persistence.xml configuration -->
                <hibernate.c3p0.min.size>1</hibernate.c3p0.min.size>
                <hibernate.c3p0.max.size>150</hibernate.c3p0.max.size>
            </properties>
        </profile>
        <profile>
            <id>gmm</id>
            <properties>
                <basename>GMM</basename>
                <finalName>gazelle-gmm</finalName>
                <seamName>GMM</seamName>
                <!-- persistence.xml configuration -->
                <hibernate.c3p0.min.size>1</hibernate.c3p0.min.size>
                <hibernate.c3p0.max.size>30</hibernate.c3p0.max.size>
            </properties>
        </profile>
        <profile>
            <id>pr</id>
            <properties>
                <basename>PR</basename>
                <finalName>gazelle-pr</finalName>
                <seamName>ProductRegistry</seamName>
                <!-- persistence.xml configuration -->
                <hibernate.c3p0.min.size>1</hibernate.c3p0.min.size>
                <hibernate.c3p0.max.size>10</hibernate.c3p0.max.size>
            </properties>
        </profile>
        <profile>
            <id>sharazone</id>
            <properties>
                <!-- web.xml configuration -->
                <maxRequestSize>2147483647</maxRequestSize>
            </properties>
        </profile>
        <profile>
            <id>jpcat</id>
            <properties>
                <basename>JP-CAT</basename>
                <!-- persistence.xml configuration -->
                <hibernate.c3p0.min.size>1</hibernate.c3p0.min.size>
                <hibernate.c3p0.max.size>80</hibernate.c3p0.max.size>
            </properties>
        </profile>
        <profile>
            <id>release</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.sonatype.plugins</groupId>
                        <artifactId>nexus-staging-maven-plugin</artifactId>
                        <version>${nexus.staging.maven.plugin.version}</version>
                        <executions>
                            <execution>
                                <id>default-deploy</id>
                                <phase>deploy</phase>
                                <goals>
                                    <goal>deploy</goal>
                                </goals>
                            </execution>
                        </executions>
                        <configuration>
                            <serverId>nexus-releases</serverId>
                            <nexusUrl>https://gazelle.ihe.net/nexus</nexusUrl>
                            <skipStaging>true</skipStaging>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>net.ihe.gazelle.tm</groupId>
                <artifactId>gazelle-tm-tools</artifactId>
                <version>${gazelle.tm.tools.version}</version>
                <type>ejb</type>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle.tm</groupId>
                <artifactId>gazelle-tm-ejb</artifactId>
                <version>10.0.2-SNAPSHOT</version>
                <type>ejb</type>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle.tm</groupId>
                <artifactId>gazelle-tm-war</artifactId>
                <version>10.0.2-SNAPSHOT</version>
                <type>war</type>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle</groupId>
                <artifactId>sso-client-v7</artifactId>
                <version>${sso.client.v7.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.lowagie</groupId>
                <artifactId>itextasian</artifactId>
                <version>1.1</version>
            </dependency>
            <dependency>
                <groupId>com.lowagie</groupId>
                <artifactId>itext-rtf</artifactId>
                <version>2.1.7</version>
            </dependency>
            <dependency>
                <groupId>org.apache.ant</groupId>
                <artifactId>ant</artifactId>
                <version>1.7.0</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>org.apache.ant</groupId>
                <artifactId>ant-launcher</artifactId>
                <version>1.7.0</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>asm</groupId>
                <artifactId>asm</artifactId>
                <version>3.3.1</version>
                <scope>provided</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <repositories>
        <repository>
            <id>IHE</id>
            <name>IHE Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>
    <distributionManagement>
        <repository>
            <id>nexus-releases</id>
            <url>https://gazelle.ihe.net/nexus/content/repositories/releases</url>
        </repository>
    </distributionManagement>
    <pluginRepositories>
        <pluginRepository>
            <id>IHE-plugins</id>
            <name>IHE Plugins Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>
    <name>Gazelle Test Management Platform</name>
    <url>http://gazelle.ihe.net</url>
</project>
